I have a list of shapes and I can dump a few views of them (bellow). However, is it possible to obtain images without actually displaying the views so that my application can work in a non-graphical mode? from OCC.Display.SimpleGui import *display, start_display, add_menu, add_function_to_menu = init_display()
shapes=[shape1,shape2,shape3] angles=range(0,360,60) for angle in angles: display.EraseAll() T=Tz(angle) TransformedShape = BRepBuilderAPI_Transform(shapes[0],T).Shape() display.DisplayColoredShape(TransformedShape,'GREEN',update=True) TransformedShape = BRepBuilderAPI_Transform(shapes[1],T).Shape() display.DisplayColoredShape(TransformedShape,'BLUE',update=True) TransformedShape = BRepBuilderAPI_Transform(shapes[2],T).Shape() display.DisplayColoredShape(TransformedShape,'RED',update=True) display.View.Dump('./occ_images/view_'+str(angle)+'.jpeg')
_______________________________________________ Pythonocc-users mailing list Pythonocc-users@gna.org https://mail.gna.org/listinfo/pythonocc-users